Crypto++

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Typedefs | Functions
osrng.h File Reference
`#include "config.h"`
`#include "randpool.h"`
`#include "rng.h"`
`#include "aes.h"`
`#include "sha.h"`
`#include "fips140.h"`

Go to the source code of this file.

## Classes

class | OS_RNG_Err
| Exception class for Operating-System Random Number Generator. More...
class | MicrosoftCryptoProvider
class | NonblockingRng
| encapsulate CryptoAPI's CryptGenRandom or /dev/urandom More...
class | BlockingRng
| encapsulate /dev/random, or /dev/srandom on OpenBSD More...
class | AutoSeededRandomPool
| Automaticly Seeded Randomness Pool. More...
class | AutoSeededX917RNG< BLOCK_CIPHER >
| RNG from ANSI X9.17 Appendix C, seeded using an OS provided RNG. More...

## Typedefs

typedef AutoSeededRandomPool | DefaultAutoSeededRNG
| this is AutoSeededX917RNG<AES> in FIPS mode, otherwise it's AutoSeededRandomPool

## Functions

void | OS_GenerateRandomBlock (bool blocking, byte *output, size_t size)

## Detailed Description

Definition in file osrng.h.